Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.workflow
Interface TrackedUDARecord

public interface TrackedUDARecord

The `TrackedUDARecord` interface is return as the Process History field `ProcessInstance.HISTORY_MODIFIED_TRACKEDUDAS` This contain the information of a particular User Defined Attribute's (UDA)change record related to the history event.

See Also:
  `* @publish internal`

Field Summary
`static int` | `UDA_ADD` Indicates User Defined Attribute's (UDA) Operation type.
`static int` | `UDA_CREATED` Indicates User Defined Attribute's (UDA) Operation type.
`static int` | `UDA_DELETE` Indicates User Defined Attribute's (UDA) Operation type.
`static int` | `UDA_MODIFIED` Indicates User Defined Attribute's (UDA) Operation type.
`static int` | `UDA_START_TRACKING` Indicates User Defined Attribute's (UDA) Operation type.
`static int` | `UDA_STOP_TRACKING` Indicates User Defined Attribute's (UDA) Operation type.

Method Summary
`java.lang.String` | `getName()` Returns this User Defined Attribute's (UDA) name, which is the unique identifier of this object.
`java.lang.String` | `getNewValue()` Returns the value of this User Defined Attribute (UDA) after completion of the history event.
`java.lang.String` | `getOldValue()` Returns the value of this User Defined Attribute (UDA) before completion of the history event.
`java.lang.String` | `getType()` Returns the current type of this User Defined Attribute (UDA) as defined in the `DataItemRef` interface by constants such as `TYPE_BOOLEAN`.
`int` | `getUDAOperation()` Returns the type of operation is done on this User Defined Attribute (UDA) by completion of this history event.

Field Detail

### UDA_ADD

    public static final int UDA_ADD

  Indicates User Defined Attribute's (UDA) Operation type. New track UDA is added or existing non track UDA is marked as tracked UDA. * @publish internal

  See Also:
    Constant Field Values

### UDA_DELETE

    public static final int UDA_DELETE

  Indicates User Defined Attribute's (UDA) Operation type. Track UDA is deleted or the trcak UDA is set as non trackable. * @publish internal

  See Also:
    Constant Field Values

### UDA_MODIFIED

    public static final int UDA_MODIFIED

  Indicates User Defined Attribute's (UDA) Operation type. Track UDA is modified. * @publish internal

  See Also:
    Constant Field Values

### UDA_CREATED

    public static final int UDA_CREATED

  Indicates User Defined Attribute's (UDA) Operation type. Track UDA is created. * @publish internal

  See Also:
    Constant Field Values

### UDA_START_TRACKING

    public static final int UDA_START_TRACKING

  Indicates User Defined Attribute's (UDA) Operation type. Start Tracking the UDA. * @publish internal

  See Also:
    Constant Field Values

### UDA_STOP_TRACKING

    public static final int UDA_STOP_TRACKING

  Indicates User Defined Attribute's (UDA) Operation type. Stop Tracking the UDA. * @publish internal

  See Also:
    Constant Field Values

Method Detail

### getName

    public java.lang.String getName()

  Returns this User Defined Attribute's (UDA) name, which is the unique identifier of this object.

  Returns:
    The name of this UDA. * @publish internal

### getType

    public java.lang.String getType()

  Returns the current type of this User Defined Attribute (UDA) as defined in the `DataItemRef` interface by constants such as `TYPE_BOOLEAN`.

  Returns:
    The String constant specifying the current type of this UDA. * @publish internal

### getOldValue

    public java.lang.String getOldValue()

  Returns the value of this User Defined Attribute (UDA) before completion of the history event. The return value is always a `String` and can be parsed to the regarding Java data type depending on the type of this UDA. For example if the type is `TYPE_BOOLEAN` you can parse the value to boolean value by `Boolean.valueOf(String)`.

  Returns:
    The previous value of UDA in String format. * @publish internal

### getNewValue

    public java.lang.String getNewValue()

  Returns the value of this User Defined Attribute (UDA) after completion of the history event. The return value is always a `String` and can be parsed to the regarding Java data type depending on the type of this UDA. For example if the type is `TYPE_BOOLEAN` you can parse the value to boolean value by `Boolean.valueOf(String)`.

  Returns:
    The current value of UDA in String format. * @publish internal

### getUDAOperation

    public int getUDAOperation()

  Returns the type of operation is done on this User Defined Attribute (UDA) by completion of this history event. The available type of operation is defined in `UdaTrackRecord` interface by constants such as `UDA_ADD`.

  Returns:
    The int constant specifying UDA operation type on this UDA for the history event. * @publish internal

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD